#! /bin/make
#-----------------------------------------------------------------

WORK=../../../..
mvIMPACT=$(WORK)/mvimpact

#-----------------------------------------------------------------
include ../../Makefile.rules

#-----------------------------------------------------------------
APPNAME=openimg
OBJECT=$(APPNAME).o

#-----------------------------------------------------------------
vpath %.cpp ..

#-----------------------------------------------------------------
OPT=-g

#-----------------------------------------------------------------
CXXINC=									\
	-I$(mvIMPACT)/include				\
	-I$(mvIMPACT)/include/linux			\
	$(INCLUDE)

#-----------------------------------------------------------------
CXXOPT=									\
	$(OPT)								\
	-W									\
	-Wall								\
	$(CFLAGS)

#-----------------------------------------------------------------
LIBS=									\
	-L$(mvIMPACT)/lib/ppc603e			\
		-lvl_file						\
		-lvl_ipl						\
		-lvl_base						\
		-ldl							\
	$(LDFLAGS)

#-----------------------------------------------------------------
mvIMPACT_OK:=$(shell if [ -d $(WORK)/mvimpact ]; then echo "yes"; fi )

#-----------------------------------------------------------------
ifeq ($(mvIMPACT_OK),yes)
all: $(APPNAME)

#-----------------------------------------------------------------
$(APPNAME): $(OBJECT)
	$(CXX) -o $(APPNAME) $(OBJECT) $(LIBS)
else
all:
	@echo "***** NO mvIMPCAT LIBRARY ON THIS SYSTEM!! *****"
	@echo " "

endif

clean:
	rm -f $(APPNAME) $(OBJECT)

new build: clean all

#-----------------------------------------------------------------
%.o:	%.c
	$(CC)	-c $(CCOPT)  $(CCINC) -o $@ $<

#-----------------------------------------------------------------
%.o:	%.cpp
	$(CXX)	-c $(CXXOPT)  $(CXXINC) -o $@ $<

#-----------------------------------------------------------------
#-----------------------------------------------------------------
